Next: _gfortran_set_options, Up: Non-Fortran Main Program

#### 6.3.1 `_gfortran_set_args` — Save command-line arguments

Description:
  `_gfortran_set_args` saves the command-line arguments; this initialization is required if any of the command-line intrinsics is called. Additionally, it shall be called if backtracing is enabled (see `_gfortran_set_options`).
Syntax:
  `void _gfortran_set_args (int argc, char *argv[])`
Arguments:

  argc | number of command line argument strings
  argv | the command-line argument strings; argv[0] is the pathname of the executable itself.

Example:

                int main (int argc, char *argv[])
                {
                  /* Initialize libgfortran.  */
                  _gfortran_set_args (argc, argv);
                  return 0;
                }